#ifndef SCRIPTSELECTOR_H
#define SCRIPTSELECTOR_H

#include <QWidget>
#include <QScopedPointer>
#include <QVBoxLayout>
namespace Ui
{
class ScriptSelector;
}


class ScriptSelector : public QWidget
{
    Q_OBJECT
    Q_DISABLE_COPY(ScriptSelector)
public:
    explicit ScriptSelector(QWidget *parent = nullptr);
    virtual ~ScriptSelector();

protected:
    void setupWidget();
    void dragEnterEvent(QDragEnterEvent *event) override;
    void dropEvent(QDropEvent *event) override;


private:
    QScopedPointer<Ui::ScriptSelector> ui;
    void addButton();

    // QWidget interface
protected:
   void dragMoveEvent(QDragMoveEvent *event);
};




#endif
